mail/libesmtp - The NetBSD Packages Collection

Library to manage posting of electronic mail

libESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA).

It may be used as part of a Mail User Agent (MUA) or another program that
needs to post electronic mail but where mail functionality is not
the program's primary purpose.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibesmtp-1.0.6nb5.tgz
NetBSD 8.0earmv7hflibesmtp-1.0.6nb5.tgz
NetBSD 8.0earmv7hflibesmtp-1.0.6nb5.tgz
NetBSD 8.0i386libesmtp-1.0.6nb5.tgz
NetBSD 8.0i386libesmtp-1.0.6nb5.tgz
NetBSD 8.0i386libesmtp-1.0.6nb5.tgz
NetBSD 8.0powerpclibesmtp-1.0.6nb5.tgz
NetBSD 8.0powerpclibesmtp-1.0.6nb5.tgz
NetBSD 8.0powerpclibesmtp-1.0.6nb5.tgz
NetBSD 8.0x86_64libesmtp-1.0.6nb5.tgz
NetBSD 8.0x86_64libesmtp-1.0.6nb5.tgz
NetBSD 9.0aarch64libesmtp-1.0.6nb5.tgz
NetBSD 9.0aarch64libesmtp-1.0.6nb5.tgz
NetBSD 9.0aarch64libesmtp-1.0.6nb5.tgz
NetBSD 9.0alphalibesmtp-1.0.6nb5.tgz
NetBSD 9.0alphalibesmtp-1.0.6nb5.tgz
NetBSD 9.0alphalibesmtp-1.0.6nb5.tgz
NetBSD 9.0earmlibesmtp-1.0.6nb5.tgz
NetBSD 9.0earmlibesmtp-1.0.6nb5.tgz
NetBSD 9.0earmlibesmtp-1.0.6nb5.tgz
NetBSD 9.0earmv6hflibesmtp-1.0.6nb5.tgz
NetBSD 9.0earmv6hflibesmtp-1.0.6nb5.tgz
NetBSD 9.0earmv6hflibesmtp-1.0.6nb5.tgz
NetBSD 9.0earmv6hflibesmtp-1.0.6nb5.tgz
NetBSD 9.0earmv7hflibesmtp-1.0.6nb5.tgz
NetBSD 9.0earmv7hflibesmtp-1.0.6nb5.tgz
NetBSD 9.0earmv7hflibesmtp-1.0.6nb5.tgz
NetBSD 9.0earmv7hflibesmtp-1.0.6nb5.tgz
NetBSD 9.0i386libesmtp-1.0.6nb5.tgz
NetBSD 9.0i386libesmtp-1.0.6nb5.tgz
NetBSD 9.0mips64eblibesmtp-1.0.6nb5.tgz
NetBSD 9.0mips64eblibesmtp-1.0.6nb5.tgz
NetBSD 9.0mips64eblibesmtp-1.0.6nb5.tgz
NetBSD 9.0mipsellibesmtp-1.0.6nb5.tgz
NetBSD 9.0mipsellibesmtp-1.0.6nb5.tgz
NetBSD 9.0powerpclibesmtp-1.0.6nb5.tgz
NetBSD 9.0powerpclibesmtp-1.0.6nb5.tgz
NetBSD 9.0sh3ellibesmtp-1.0.6nb5.tgz
NetBSD 9.0sh3ellibesmtp-1.0.6nb5.tgz
NetBSD 9.0sparc64libesmtp-1.0.6nb5.tgz
NetBSD 9.0sparc64libesmtp-1.0.6nb5.tgz
NetBSD 9.0sparc64libesmtp-1.0.6nb5.tgz
NetBSD 9.0sparc64libesmtp-1.0.6nb5.tgz
NetBSD 9.0sparclibesmtp-1.0.6nb5.tgz
NetBSD 9.0sparclibesmtp-1.0.6nb5.tgz
NetBSD 9.0sparclibesmtp-1.0.6nb5.tgz
NetBSD 9.0vaxlibesmtp-1.0.6nb5.tgz
NetBSD 9.0vaxlibesmtp-1.0.6nb5.tgz
NetBSD 9.0x86_64libesmtp-1.0.6nb5.tgz
NetBSD 9.0x86_64libesmtp-1.0.6nb5.tgz
NetBSD 9.0x86_64libesmtp-1.0.6nb5.tgz
NetBSD 9.0x86_64libesmtp-1.0.6nb5.tgz
NetBSD 9.0x86_64libesmtp-1.0.6nb5.tgz
NetBSD 9.0x86_64libesmtp-1.0.6nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.